Bug 554110 - [abrt] crash in rawstudio-1.2-2.fc12
Summary: [abrt] crash in rawstudio-1.2-2.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rawstudio
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d88b5ba57929926415f6666a7f8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-10 14:47 UTC by johan
Modified: 2010-09-21 01:28 UTC (History)
1 user (show)

Fixed In Version: rawstudio-1.2-6.fc12.20100907svn3521
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-21 01:28:45 UTC


Attachments (Terms of Use)
File: backtrace (30.82 KB, text/plain)
2010-01-10 14:47 UTC, johan
no flags Details

Description johan 2010-01-10 14:47:37 UTC
abrt 1.0.3 detected a crash.

How to reproduce
-----
1. some time in the past: change photo directory name (not the cache, the actual photo's)
2. navigate to photo directory, start rawstudio
3. notice that all metadata is lost, remember the rename that was performed in the past
4. navigate to /home .rawstudio cache
5. delete newly created cache directory
6. rename old cache directory into new directory
7. navigate to raw directory, start rawstudio
8. program terminates without warning

Comment: .rawstudio cache is in home directory
Attached file: backtrace
cmdline: rawstudio '/data/personal/Foto\'/ /data/personal/F /data/personal/Foto's Nieuw/2'
component: rawstudio
executable: /usr/bin/rawstudio
kernel: 2.6.31.9-174.fc12.x86_64
package: rawstudio-1.2-2.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)

Comment 1 johan 2010-01-10 14:47:41 UTC
Created attachment 382810 [details]
File: backtrace

Comment 2 Fedora Update System 2010-09-11 08:57:46 UTC
rawstudio-1.2-6.fc12.20100907svn3521 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rawstudio'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rawstudio-1.2-6.fc12.20100907svn3521

Comment 3 Fedora Update System 2010-09-21 01:28:23 UTC
rawstudio-1.2-6.fc12.20100907svn3521 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.